Package: io.vertx.groovy.ext.unit.collect

## [Groovy] Class EventBusCollector

- io.vertx.groovy.ext.unit.collect.EventBusCollector

- The event bus collector listen to events on the Vert.x event bus and translate them into reports.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `EventBusCollector (java.lang.Object delegate)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `static EventBusCollector` | `create(Vertx vertx, java.util.Map<java.lang.String, java.lang.Object> options)` Create a message handler reporting with the specified options.
    `static EventBusCollector` | `create(Vertx vertx, io.vertx.core.Handler<TestSuiteReport> reporter)`
    `java.lang.Object` | `getDelegate()`
    `MessageConsumer` | `register(java.lang.String address)` Register the collector as a consumer of the event bus with the specified address.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### EventBusCollector(java.lang.Object delegate)

  - ### Method Detail

    - #### static EventBusCollector create(Vertx vertx, java.util.Map<java.lang.String, java.lang.Object> options)

      Create a message handler reporting with the specified options. The returned message handler can be registered to an event bus.

      Returns:
        the message handler
      Parameters:
        vertx
        `options` - the reporting options (see ReportingOptions)

    - #### static EventBusCollector create(Vertx vertx, io.vertx.core.Handler<TestSuiteReport> reporter)

    - #### java.lang.Object getDelegate()

    - #### MessageConsumer register(java.lang.String address)

      Register the collector as a consumer of the event bus with the specified address.

      Returns:
        the subscribed message consumer
      Parameters:
        `address` - the registration address